none
关于在Xp下配置IIS5.1 RRS feed

  • 问题

  • 我用的是系统是XP SP3,IIS用的是5.1,我想配置微软的FrienDev,但它用的端口是10010,要在IIS里面配置,但IIS5.1里面只能针对默认网站进行端口配置,如果我想用应该如果配置。如果不行,那该如何做? IIS6可以吗?IIS7 可以吗?在线等待中,期待。谢谢。
    • 已移动 Sheng Jiang 蒋晟 2009年9月27日 19:43 IIS问题 (发件人:一般性问题讨论区)
    2009年9月26日 4:03

答案

  • ->"

    以下为 FrienDev 的最小运行环境:

    l          Microsoft SQL Server 2000

    l          Microsoft Internet Information Services 5

    l          Microsoft .NET Framework 3.5

    不是只要IIS 5就可以了吗?


    如果是要IIS 5以上的,那么XP能装IIS 5以上的版本么?比如IIS 6或IIS 7.

    "
    IIS5.1 并不是IIS 5 的升级版,而是简化版,最好部署FrienDev 在IIS6及以后的版本上。
    另外,IIS 6 运行在Windows 2003 上,IIS7 运行在Windows Server 2008,Vista(家庭版除外) 上。
    XP 只能安装IIS 5.1 不能安装其他版本的IIS.

    比较好的做法是在你原来的XP 上安装Virtual PC,在Virtual PC上安装Windows Server 2008.
    Microsoft Online Community Support
    2009年9月29日 3:12
    版主
  • IIS5应该就可以了。
    只不过你要把配置文件中URL的端口部分去掉,然后IIS建个这个程序的虚拟目录。
    在localhost后加上“/”+虚拟目录地址,再加上原先后面的东西。
    不过建议你使用IIS6+。
    现在的Windows服务器大多还是使用Server2003的。
    做最好的自己
    2009年9月29日 13:58

全部回复

  • YES  iis7可以
    擅长领域 Windows Desktop Experience, Media Center, Virtual Machine, Windows System & Performance
    2009年9月26日 5:06
  • 你好!
         FrienDev至少需要IIS6以上版本才可以部署!
    周雪峰
    2009年9月26日 8:31
  • FrienDev部署说明.doc 文件里说了

    以下为FrienDev的最小运行环境:

    l         Microsoft SQL Server 2000

    l         Microsoft Internet Information Services 5

    l         Microsoft .NET Framework 3.5

    不是只要IIS 5就可以了吗?


    如果是要IIS 5以上的,那么XP能装IIS 5以上的版本么?比如IIS 6或IIS 7.

    2009年9月26日 8:36
  • 如果你学习研究 我建议用vs2008独立iis 降低很多麻烦问题
    xp只能绑定iis5.1 不能升级
    2009年9月26日 8:43
  • 用vs2008独立iis ?
    如何做呢?
    2009年9月26日 8:46
  • 用vs2008独立iis ?
    如何做呢?

    我说错了 不好意思 你配置端口 vs2008无法满足你的需求 xp只能启动一个网站 不过你把默认网站停止掉 看看能否更改端口
    2009年9月26日 8:51
  • 能不能以文件系统的形式打开网站,让它自动分配一个端口?
    在一个就是:是不是FrienDev程序里面对端口进行了配置?
    2009年9月26日 9:03
  • 能不能以文件系统的形式打开网站,让它自动分配一个端口?
    在一个就是:是不是FrienDev程序里面对端口进行了配置?

    可以啊 vs2008就是了
    FrienDev 我没研究过 不知道
    2009年9月26日 9:10
  • 你好!
         这是官方站点上的说明:
    http://friendev.codeplex.com/Release/ProjectReleases.aspx?ReleaseId=20054

    Deployment requirement:
    1. SQL Server 2000 or above
    2. .NET Framework 3.5 SP1
    3. IIS 6 or above

    周雪峰
    2009年9月26日 10:32
  • 请使用iis7来做~~~~~~~
    如果问题没有解决,还请继续跟帖讨论。
    2009年9月26日 14:40
  • ->"

    以下为 FrienDev 的最小运行环境:

    l          Microsoft SQL Server 2000

    l          Microsoft Internet Information Services 5

    l          Microsoft .NET Framework 3.5

    不是只要IIS 5就可以了吗?


    如果是要IIS 5以上的,那么XP能装IIS 5以上的版本么?比如IIS 6或IIS 7.

    "
    IIS5.1 并不是IIS 5 的升级版,而是简化版,最好部署FrienDev 在IIS6及以后的版本上。
    另外,IIS 6 运行在Windows 2003 上,IIS7 运行在Windows Server 2008,Vista(家庭版除外) 上。
    XP 只能安装IIS 5.1 不能安装其他版本的IIS.

    比较好的做法是在你原来的XP 上安装Virtual PC,在Virtual PC上安装Windows Server 2008.
    Microsoft Online Community Support
    2009年9月29日 3:12
    版主
  • IIS5应该就可以了。
    只不过你要把配置文件中URL的端口部分去掉,然后IIS建个这个程序的虚拟目录。
    在localhost后加上“/”+虚拟目录地址,再加上原先后面的东西。
    不过建议你使用IIS6+。
    现在的Windows服务器大多还是使用Server2003的。
    做最好的自己
    2009年9月29日 13:58
  • 应该是端口的问题,和iis的版本没关系

    2009年10月5日 8:28